<?php
/**
 * PaginationTypeEnum
 *
 * PHP version 5
 *
 * @category Class
 * @package  Ensi\CmsClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */

/**
 * Ensi Cms.
 *
 * Content management
 *
 * The version of the OpenAPI document: 1.0.0
 * 
 * Generated by: https://openapi-generator.tech
 * OpenAPI Generator version: 4.3.1
 */

/**
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */

namespace Ensi\CmsClient\Dto;
use \Ensi\CmsClient\ObjectSerializer;

/**
 * PaginationTypeEnum Class Doc Comment
 *
 * @category Class
 * @description Pagination types: * &#x60;cursor&#x60; - Pagination using cursor * &#x60;offset&#x60; - Pagination using offset
 * @package  Ensi\CmsClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */
class PaginationTypeEnum
{
    public const CURSOR = 'cursor';
    public const OFFSET = 'offset';
    
    /**
     * Gets allowable values of the enum
     * @return string[]
     */
    public static function getAllowableEnumValues(): array
    {
        return [
            self::CURSOR,
            self::OFFSET,
        ];
    }

    /**
    * Gets allowable values and titles of the enum
    * @return string[]
    */
    public static function getDescriptions(): array
    {
        return [
            self::CURSOR => '',
            self::OFFSET => '',
        ];
    }
}


